Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.sim.mcu
Class ATMega128L.SimImpl.SPIPrinter

    java.lang.Object
      avrora.sim.mcu.ATMega128L.SimImpl.SPIPrinter

All Implemented Interfaces:
  ATMega128L.SPIDevice

Enclosing class:
  ATMega128L.SimImpl

protected class ATMega128L.SimImpl.SPIPrinter
extends java.lang.Object
implements ATMega128L.SPIDevice

Debug class. Connect to SPI to give the SPI a duped input.

Nested Class Summary

Nested classes inherited from class avrora.sim.mcu.ATMega128L.SPIDevice
`ATMega128L.SPIDevice.SPIFrame`

Field Summary
`ATMega128L.SPIDevice` | `connectedDevice`

Method Summary
`void` | `connect(ATMega128L.SPIDevice d)`
`void` | `receiveFrame(ATMega128L.SPIDevice.SPIFrame frame)` Receive a frame.
`ATMega128L.SPIDevice.SPIFrame` | `transmitFrame()` Transmit a frame from this device.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### connectedDevice

    public ATMega128L.SPIDevice connectedDevice

Method Detail

### connect

    public void connect(ATMega128L.SPIDevice d)

  Specified by:
    `connect` in interface `ATMega128L.SPIDevice`

### receiveFrame

    public void receiveFrame(ATMega128L.SPIDevice.SPIFrame frame)

  Description copied from interface: `ATMega128L.SPIDevice`
  Receive a frame.

  Specified by:
    `receiveFrame` in interface `ATMega128L.SPIDevice`
  Parameters:
    `frame` - the frame to be received

### transmitFrame

    public ATMega128L.SPIDevice.SPIFrame transmitFrame()

  Description copied from interface: `ATMega128L.SPIDevice`
  Transmit a frame from this device.

  Specified by:
    `transmitFrame` in interface `ATMega128L.SPIDevice`
  Returns:
    the frame for transmission

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD